<div class="container-fluid">
  <form [formGroup]="employeeForm" autocomplete="off" novalidate (ngSubmit)="createEmployee(employeeForm.value)">

    <div class="form-group row">
      <label for="name" class="control-label col-md-2">Nombre d'enfant: </label>
      <div class="col-md-5">
        <input type="text" formControlName="name" id="name" #nb class="form-control" />
      </div>
      <div class="col-md-5">
        <em *ngIf="validateControl('name') && hasError('name', 'required')">A name is required</em>
        <em *ngIf="validateControl('name') && hasError('name', 'maxlength')">Maximum allowed length is 60
          characters.</em>
      </div>
    </div>

    <div class="form-group row">
      <label for="email" class="control-label col-md-2">Salaire brut (TND):
      </label>
      <div class="col-md-5">
        <input type="text" formControlName="email" id="email" class="form-control" />
      </div>
      <div class="col-md-5">
        <em *ngIf="validateControl('email') && hasError('email', 'required')">A valid email is required</em>
        <em *ngIf="validateControl('email') && hasError('email', 'maxlength')">Maximum allowed length is 100
          characters.</em>
      </div>
    </div>

   


  

    <div class="col-md-5 offset-md-4">
      <button type="submit" class="btn btn-primary">
        Afficher les données
      </button>

      <button type="button" class="btn btn-danger" (click)="redirectToEmployeeList()">
        Cancel
      </button>
    </div>
  </form>
  

  </div>

  <div class="form-group row">
    <label for="phoneNumber" class="control-label col-md-2">Salaire brut (TND) :
    </label>
    <div class="col-md-5">
      <input type="string" formControlName="phoneNumber" id="phoneNumber" value="{{ valeurbrut }}" class="form-control" />
    </div>
  </div>
  <div class="form-group row">
    <label for="Retenu" class="control-label col-md-2">Retenu cnss (TND):
    </label>
    <div class="col-md-5">
      <input type="string" formControlName="Retenu"  value="{{ valeurcnss }}" id="Retenu" class="form-control" />
    </div>
</div>
<div class="form-group row">
  <label for="phoneNumber" class="control-label col-md-2">Salaire brut imposable (TND) :
  </label>
  <div class="col-md-5">
    <input type="string" formControlName="phoneNumber"  value="{{ valeurimpo }}" id="phoneNumber" class="form-control" />
  </div>
</div>

<div class="form-group row">
  <label for="phoneNumber" class="control-label col-md-2">Retenu à la source(TND) :
  </label>
  <div class="col-md-5">
    <input type="string" formControlName="phoneNumber" value="{{ valeurRetenu }}" id="phoneNumber" class="form-control" />
  </div>
</div>
<div class="form-group row">
  <label for="phoneNumber" class="control-label col-md-2">Contribution sociale de solidarité (TND):
  </label>
  <div class="col-md-5">
    <input type="string" formControlName="phoneNumber" id="phoneNumber" class="form-control" />
  </div>
</div>
<div class="form-group row">
  <label for="phoneNumber" class="control-label col-md-2">Salaire net (TND) :
  </label>
  <div class="col-md-5">
    <input type="string" formControlName="phoneNumber" id="phoneNumber" class="form-control" />
  </div>
</div>


  <app-success-modal [modalHeaderText]="'Success message'" [modalBodyText]="'Action completed successfully'"
    [okButtonText]="'OK'" (redirectOnOK)="redirectToEmployeeList()"></app-success-modal>

  <app-error-modal [modalHeaderText]="'Error message'" [modalBodyText]="errorMessage" [okButtonText]="'OK'">
  </app-error-modal>
